Closed Bug 1605807 Opened 2 years ago Closed 2 years ago

Intermittent docshell/test/mochitest/test_bug529119-1.html | Is on an error page - got "about:blank", expected "http://www.some-nonexistent-domain-27489274c892748217cn2384.com/"

Categories

(Core :: DOM: Navigation, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla74
Tracking Status
firefox74 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: bzbarsky)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disable-recommended])

Attachments

(2 files)

Filed by: apavel [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=282437269&repo=mozilla-central
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/M5xWhEvZQtW5hEOMzfibVw/runs/0/artifacts/public/logs/live_backing.log


[task 2019-12-23T22:17:08.779Z] 22:17:08 INFO - TEST-START | docshell/test/mochitest/test_bug529119-1.html
[task 2019-12-23T22:17:08.820Z] 22:17:08 INFO - GECKO(1117) | [Parent 1117, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-23T22:17:08.821Z] 22:17:08 INFO - GECKO(1117) | [Child 1283, Main Thread] WARNING: Trying to request nsIHttpChannel from DocumentChannelChild, this is likely broken: file /builds/worker/workspace/build/src/netwerk/ipc/DocumentChannelChild.cpp, line 63
[task 2019-12-23T22:17:09.084Z] 22:17:09 INFO - GECKO(1117) | [Parent 1117, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-23T22:17:09.084Z] 22:17:09 INFO - GECKO(1117) | [Child 1283, Main Thread] WARNING: Trying to request nsIHttpChannel from DocumentChannelChild, this is likely broken: file /builds/worker/workspace/build/src/netwerk/ipc/DocumentChannelChild.cpp, line 63
[task 2019-12-23T22:17:10.829Z] 22:17:10 INFO - GECKO(1117) | [Child 1283, Main Thread] WARNING: Trying to request nsIHttpChannel from DocumentChannelChild, this is likely broken: file /builds/worker/workspace/build/src/netwerk/ipc/DocumentChannelChild.cpp, line 63
[task 2019-12-23T22:17:10.829Z] 22:17:10 INFO - GECKO(1117) | [Child 1283, Main Thread] WARNING: Trying to request nsIHttpChannel from DocumentChannelChild, this is likely broken: file /builds/worker/workspace/build/src/netwerk/ipc/DocumentChannelChild.cpp, line 63
[task 2019-12-23T22:17:10.829Z] 22:17:10 INFO - GECKO(1117) | [Child 1283, Main Thread] WARNING: NS_ENSURE_TRUE(request) failed: file /builds/worker/workspace/build/src/netwerk/base/nsLoadGroup.cpp, line 574
[task 2019-12-23T22:17:10.877Z] 22:17:10 INFO - GECKO(1117) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmpk0j0Up.mozrunner/runtests_leaks_tab_pid1324.log
[task 2019-12-23T22:17:10.892Z] 22:17:10 INFO - GECKO(1117) | [Child 1324, Main Thread] WARNING: No CID found when attempting to map contract ID: file /builds/worker/workspace/build/src/xpcom/components/nsComponentManager.cpp, line 721
[task 2019-12-23T22:17:11.009Z] 22:17:11 INFO - GECKO(1117) | [Parent 1117, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-23T22:17:11.016Z] 22:17:11 INFO - GECKO(1117) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-12-23T22:17:11.017Z] 22:17:11 INFO - GECKO(1117) | [Child 1324, Main Thread] WARNING: Could not get the program name for a cubeb stream.: 'NS_SUCCEEDED(rv)', file /builds/worker/workspace/build/src/dom/media/CubebUtils.cpp, line 381
[task 2019-12-23T22:17:11.120Z] 22:17:11 INFO - GECKO(1117) | [Child 1324, Main Thread] WARNING: could not set real-time limit at process startup: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 1820
[task 2019-12-23T22:17:11.176Z] 22:17:11 INFO - GECKO(1117) | [Child 1324, Main Thread] WARNING: NS_ENSURE_TRUE(mPresShell) failed: file /builds/worker/workspace/build/src/layout/base/nsPresContext.cpp, line 848
[task 2019-12-23T22:17:13.249Z] 22:17:13 INFO - TEST-INFO | started process screentopng
[task 2019-12-23T22:17:13.891Z] 22:17:13 INFO - TEST-INFO | screentopng: exit 0
[task 2019-12-23T22:17:13.892Z] 22:17:13 INFO - Buffered messages logged at 22:17:08
[task 2019-12-23T22:17:13.893Z] 22:17:13 INFO - TEST-PASS | docshell/test/mochitest/test_bug529119-1.html | A valid string reason is expected
[task 2019-12-23T22:17:13.893Z] 22:17:13 INFO - TEST-PASS | docshell/test/mochitest/test_bug529119-1.html | Reason cannot be empty
[task 2019-12-23T22:17:13.901Z] 22:17:13 INFO - Buffered messages logged at 22:17:09
[task 2019-12-23T22:17:13.901Z] 22:17:13 INFO - TEST-FAIL | docshell/test/mochitest/test_bug529119-1.html | The author of the test has indicated that flaky timeouts are expected. Reason: untriaged
[task 2019-12-23T22:17:13.903Z] 22:17:13 INFO - Buffered messages logged at 22:17:10
[task 2019-12-23T22:17:13.904Z] 22:17:13 INFO - TEST-FAIL | docshell/test/mochitest/test_bug529119-1.html | The author of the test has indicated that flaky timeouts are expected. Reason: untriaged
[task 2019-12-23T22:17:13.904Z] 22:17:13 INFO - Buffered messages logged at 22:17:11
[task 2019-12-23T22:17:13.905Z] 22:17:13 INFO - TEST-PASS | docshell/test/mochitest/test_bug529119-1.html | Waiting for error page succeeded
[task 2019-12-23T22:17:13.907Z] 22:17:13 INFO - TEST-FAIL | docshell/test/mochitest/test_bug529119-1.html | The author of the test has indicated that flaky timeouts are expected. Reason: untriaged
[task 2019-12-23T22:17:13.908Z] 22:17:13 INFO - Buffered messages logged at 22:17:12
[task 2019-12-23T22:17:13.908Z] 22:17:13 INFO - TEST-FAIL | docshell/test/mochitest/test_bug529119-1.html | The author of the test has indicated that flaky timeouts are expected. Reason: untriaged
[task 2019-12-23T22:17:13.909Z] 22:17:13 INFO - Buffered messages logged at 22:17:13
[task 2019-12-23T22:17:13.910Z] 22:17:13 INFO - TEST-PASS | docshell/test/mochitest/test_bug529119-1.html | Waiting for error page succeeded
[task 2019-12-23T22:17:13.910Z] 22:17:13 INFO - Buffered messages finished
[task 2019-12-23T22:17:13.912Z] 22:17:13 INFO - TEST-UNEXPECTED-FAIL | docshell/test/mochitest/test_bug529119-1.html | Is on an error page - got "about:blank", expected "http://www.some-nonexistent-domain-27489274c892748217cn2384.com/"
[task 2019-12-23T22:17:13.912Z] 22:17:13 INFO - SimpleTest.is@SimpleTest/SimpleTest.js:325:16
[task 2019-12-23T22:17:13.913Z] 22:17:13 INFO - windowLoaded@docshell/test/mochitest/test_bug529119-1.html:60:9
[task 2019-12-23T22:17:13.913Z] 22:17:13 INFO - async*onload@docshell/test/mochitest/bug529119-window.html:1:15
[task 2019-12-23T22:17:13.914Z] 22:17:13 INFO - TEST-PASS | docshell/test/mochitest/test_bug529119-1.html | Must not get www.example.com page on reload of an error page
[task 2019-12-23T22:17:13.915Z] 22:17:13 INFO - GECKO(1117) | MEMORY STAT | vsize 2530MB | residentFast 150MB | heapAllocated 15MB
[task 2019-12-23T22:17:13.915Z] 22:17:13 INFO - TEST-OK | docshell/test/mochitest/test_bug529119-1.html | took 4608ms

This is a high frequency intermittence on ubuntu1804 for linux1804-64-qr/debug specifically.

try push: https://treeherder.mozilla.org/#/jobs?repo=try&group_state=expanded&tier=1%2C2%2C3&revision=97c5c868af245b1247f5f4f150d6fbfe889e8f15

:neha - could you please pass on the ni to someone that can take a look?

Would temporarily disabling this test like skip-if = (os == 'linux' && os_version == '18.04' && debug && webrender && fission) be an acceptable way forward? I am looking to migrate mochitest suites to run on ubuntu1804 by the Berlin All Hands, and this is the last failure preventing the migration of mochitest-devtools-chrome.

Flags: needinfo?(nkochar)

Neha is on leave. Maybe Boris has an opinion, as the docshell module owner.

Flags: needinfo?(bzbarsky)
Flags: needinfo?(nkochar)

Yes, I think doing that is fine.

This test is fundamentally racy: once it does the reload, it kinda hopes that waiting 1s is going to be long enough for it to be dealing with the "new" page, and so on. I'll see if I can figure out a sane way to improve it...

Flags: needinfo?(bzbarsky)
Assignee: nobody → bzbarsky
Status: NEW → ASSIGNED
Flags: needinfo?(egao)

Thanks for your quick responses. I can try applying the patch and making a push.

Flags: needinfo?(egao)

Try push on linux1804-qr/debug on ubuntu1804 image:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=c05ebaf0d718a1c22ec2775cb24f51fab960ae7e

This push should show that the fix works for ubuntu1804.

EDIT: this patch works for ubuntu1804.

Regressions: 1609806
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla74

Like I said in bug 1609806, I will try to improve this on Monday. We're catching the transient about:blank in the new process, which doesn't exist in the non-fission world.

I tested this by using delay(1) instead of delay(100), which reliably gives me
the "Is on an error page initially" failure without these changes and reliably
passs with them.

Blocks: 1609806

Kris, could you please review Boris's patch as it's one of the most frequent failures on trees having 96 total failures in the last 7 days. https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-01-13&endday=2020-01-20&tree=trunk&bug=1605807
Thank you.

Flags: needinfo?(kmaglione+bmo)
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/43bfa2564534
followup.  Fix more polling flakiness in this test.  r=test-only
Flags: needinfo?(kmaglione+bmo)
Flags: needinfo?(bzbarsky)
Status: REOPENED → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla74

All the failures are from before the second changeset here landed.

You need to log in before you can comment on or make changes to this bug.